MagickCore: mac.h File Reference

# mac.h File Reference

`#include <locale.h>`
`#include <Errors.h>`
`#include <Files.h>`
`#include <errno.h>`
`#include <stat.h>`

Go to the source code of this file.

## Data Structures
struct | _DIR
struct | dirent
## Defines
#define | S_IREAD 00400
#define | S_IWRITE 00200
## Typedefs
typedef struct _DIR | DIR
## Functions
MagickExport Image * | ReadPICTImage (const ImageInfo *, ExceptionInfo *)
MagickExport int | Exit (int)
MagickExport int | MACSystemCommand (const char *)
MagickExport MagickBooleanType | MACIsMagickConflict (const char *)
MagickExport void | MACErrorHandler (const ExceptionType, const char *, const char *)
MagickExport void | MACWarningHandler (const ExceptionType, const char *, const char *)
MagickExport void | ProcessPendingEvents (const char *)
MagickExport void | SetApplicationType (const char *, const char *, OSType)
MagickExport DIR * | opendir (const char *)
MagickExport long | telldir (DIR *)
MagickExport struct dirent * | readdir (DIR *)
MagickExport void | seekdir (DIR *, long)
MagickExport void | closedir (DIR *)

## Define Documentation

#define S_IREAD 00400

#define S_IWRITE 00200

## Typedef Documentation

typedef struct _DIR DIR

## Function Documentation

MagickExport void closedir | ( | DIR * |  | ) |

MagickExport int Exit | ( | int |  | ) |

MagickExport void MACErrorHandler | ( | const | ExceptionType,
|  | const char * | ,
|  | const char * |  |
| ) |  |  |

MagickExport MagickBooleanType MACIsMagickConflict | ( | const char * |  | ) |

MagickExport int MACSystemCommand | ( | const char * |  | ) |

MagickExport void MACWarningHandler | ( | const | ExceptionType,
|  | const char * | ,
|  | const char * |  |
| ) |  |  |

MagickExport DIR* opendir | ( | const char * |  | ) |

MagickExport void ProcessPendingEvents | ( | const char * |  | ) |

MagickExport struct dirent* readdir | ( | DIR * |  | ) | `[read]`

MagickExport Image* ReadPICTImage | ( | const ImageInfo * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport void seekdir | ( | DIR * | ,
|  | long |  |
| ) |  |  |

MagickExport void SetApplicationType | ( | const char * | ,
|  | const char * | ,
|  | OSType |  |
| ) |  |  |

MagickExport long telldir | ( | DIR * |  | ) |